/*
 *  trender - 3D Studio .ASC files realtime renderer
 *  Copyright (C) 1999  Thanassis Tsiodras (ttsiod@softlab.ntua.gr)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __DEFINES_INCLUDED__
#define __DEFINES_INCLUDED__

#include "Types.h"
#include "Vgalib.h"

// A nice set:
//
//#define FULLSCREEN
//#define MAXX 1024
//#define MAXY 768

// A common set
#define MAXX 640
#define MAXY 480

#define CLIPBOTTOM MAXY
#define CLIPTOP 0
#define SCANSIZ MAXX

#define FOV MAXX

#define ZCLIP 10.0

#define M_2PI 2*3.1415926

#define MAX_VERTEXES_OF_SUBOBJECTS 65536

#define MAXZDEPTH 16384

#endif
