/*
 *  trender - 3D Studio .ASC files realtime renderer
 *  Copyright (C) 1999  Thanassis Tsiodras (ttsiod@softlab.ntua.gr)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include <stdlib.h>
#include "Palette.h"
#include "Exceptions.h"

UCHAR PaletteManager::AddColor(UCHAR r, UCHAR g, UCHAR b)
{
    if (ulColorIndex<254) {
        ucPalette[ulColorIndex*3]   = (UCHAR) r;
        ucPalette[ulColorIndex*3+1] = (UCHAR) g;
        ucPalette[ulColorIndex*3+2] = (UCHAR) b;

        ulColorIndex++;

        return (UCHAR)(ulColorIndex-1);
    }
    else {
        throw new RendererException("I should have used a color matching algorithm here.");
    }
}
